Skip to content

Tip karma to the author of an activity

POST
/karma/tip
curl --request POST \
--url https://api.ethos.network/api/v2/karma/tip \
--header 'Content-Type: application/json' \
--header 'X-Ethos-Api-Key: <X-Ethos-Api-Key>' \
--data '{ "activityId": 1, "activityType": "review" }'
Media typeapplication/json
object
activityId
required
integer
<= 2147483647
activityType
required
string
Allowed values: review slash vouch vouch-v2

Successful response

Media typeapplication/json
object
activityTipCount
required

Tips this activity has received, all senders.

integer
>= -9007199254740991 <= 9007199254740991
allowanceRemaining
required
integer
>= -9007199254740991 <= 9007199254740991

Example generated

{
"activityTipCount": 1,
"allowanceRemaining": 1
}

Invalid input data

Media typeapplication/json
Invalid input data error (400)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}

Authorization not provided

Media typeapplication/json
Authorization not provided error (401)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}

Insufficient access

Media typeapplication/json
Insufficient access error (403)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}